Bug 103886 - oowriter crashes on this file
oowriter crashes on this file
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2003-09-06 04:43 EDT by Need Real Name
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-27 11:38:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The offending document (31.50 KB, application/octet-stream)
2003-09-06 04:44 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-09-06 04:43:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
This is a MSWord document that was sent to me. When I open it on my home
installation of redhat 8 using openoffice-1.0.1-8, it opens sort of fine. The
math looks bad, but it does not crash. 

In the fresh install of redhat 9 (with all updates installed) on my laptop, it
causes a crash of oowriter.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try opening the attached file in oowriter

Actual Results:  The importing document notice came in the status, and the
progress bar proceeded to the right. Two bars before the end, a dialog box pops
up saying "An unrecoverable error has occurred. All modified files have been
saved and can probably be recovered at program restart" with only the option of
hitting OK.

Expected Results:  It should open the file.

Additional info:
Comment 1 Need Real Name 2003-09-06 04:44:13 EDT
Created attachment 94275 [details]
The offending document
Comment 2 Dan Williams 2003-09-10 15:40:19 EDT

Any idea what version of Freetype you system is running?

For example, from gnome Terminal:

[blah]$ rpm -q freetype
Comment 3 Need Real Name 2003-09-10 16:04:03 EDT
freetype-2.1.3-6 on the RH9 system. (the one that has oowriter crash)

freetype-2.1.2-7 on the RH8 system. (that opens the file, but in a messed up way
as far as the math is concerned)

Comment 4 Dan Williams 2003-12-05 17:11:22 EST
Hmm, does not crash 1.0.2 on a Fedora system.  Can you test with
1.0.2-8 at all on RH 9?
Comment 5 Dan Williams 2004-02-27 11:38:02 EST
Please try current OOo 1.1.0, and reopen if problem still occurs

Note You need to log in before you can comment on or make changes to this bug.